/***********************************************************************
*           See Accompanying licence file QSAS_licence                 *
***********************************************************************/

// ----- Data quality allowed -----

#define GOOD                 6
#define GOOD_CAUT            5
#define GOOD_BAD             4
#define GOOD_CAUT_BAD        3
#define CAUT                 2
#define CAUT_BAD             1
#define BAD                  0

// ----- Methods allowed -----

#define RMT                 14
#define TRI_RMT             13
#define TRI_PMT_RMT         12
#define TRI_SMT_RMT         11
#define TRI_PMT_SMT_RMT     10
#define PMT_RMT              9
#define PMT_SMT_RMT          8
#define SMT_RMT              7
#define TRI                  6
#define TRI_PMT              5
#define TRI_SMT              4
#define TRI_PMT_SMT          3
#define PMT                  2
#define PMT_SMT              1
#define SMT                  0

// ----- Ambiguity on 180 deg allowed -----

#define YES                  2
#define NO                   1
#define YES_NO               0      

// ----- Fill value used in status word ---

#define FILL               255
#define VERBOSE_EDI          0


// ---- definitions -------

typedef struct SBYTES {int quality,method,trierr,ambigu,angerr,triout,OK; float redchi;} sbytes;
typedef struct VEC {float x,y,z;} vec;
