#ifndef QSAS_XML_H_
#define QSAS_XML_H_

#include <stdlib.h>
#include "DvObj.h"
#include "Xrefs.h"

#include <QDomDocument>
#include <QDomElement>

QDomElement createTextXMLNode(QDomDocument& doc, const QString& parentName, const QString&);
QDomElement createTextXMLNode(QDomDocument& doc, const QString& parentName, const std::string&);
QDomElement createTextXMLNode(QDomDocument& doc, const QString& parentName, const char*);
QDomElement createTextXMLNode(QDomDocument& doc, const QString& parentName, const double);
QDomElement createTextXMLNode(QDomDocument& doc, const QString& parentName, const int);
QDomElement createTextXMLNode(QDomDocument& doc, const QString& parentName, const bool);
bool getXMLNodeText(QDomElement& el, const QString& tag, QString& val);
void write_WLtoXML(std::ofstream &ofp);


# endif // QSAS_XML_H_
