#ifndef QB_TIME_EDITORS_H
#define QB_TIME_EDITORS_H

#include "QbEditors.h"

#include "qt_version.h"
#include <QStatusBar>

class QbTimeIntervalEditor:public QbEditor
{
	Q_OBJECT
			
	public:
		QbTimeIntervalEditor( DvObject_var dobj, QWidget *parent=0, QString name=QString(""));
		DvObject_var _time_interval_var;
		
		void set_time_interval(DvEvent& tintv, bool setViewRangeToo=false);

		DvEvent get_time_interval();

        void set_view_range(DvEvent& tintv);

		double get_duration();
				
        TimeIntervalWidget * interval_edit;
        
	public slots:
		
		void setData(DvObject_var &dobj);
		
		void updateTI();
	
	signals:
		
		
	
};

class QbEventTableEditor:public QbEditor
{
	Q_OBJECT
			
	public:
		QbEventTableEditor( DvObject_var dobj, QWidget *parent=0, QString name=QString(""));
		
		DvObject_var _event_table_var;
		
		DvEvent get_time_interval();

        void set_view_range(DvEvent& tintv);

		double get_duration();
				
        TimeIntervalWidget * interval_edit;
        
	public slots:
		
		void setData(DvObject_var &dobj);
		
		
		void updateForRec();
	
	signals:
		
	
};

class QbuLineEdit:public QLineEdit{
	Q_OBJECT
	public:
		QbuLineEdit(QWidget* parent=0,const char* name=0):
				QLineEdit(parent){;}
 
	protected:
		QString _old_text;
		void focusOutEvent(QFocusEvent *e);

	public slots:
		void setText(const QString& txt)
		{ _old_text=text(); QLineEdit::setText(txt);}
	signals:
		void focusOut();

};


#endif
